package b4a.listeditor;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.listeditor", "b4a.listeditor.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.listeditor", "b4a.listeditor.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.shellMode) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.listeditor.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.IME _ime = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext = null;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label4 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lg = null;
public anywheresoftware.b4a.objects.LabelWrapper _lvno = null;
public static String _lista = "";
public static String _nlist = "";
public static String _riga = "";
public static int _tx = 0;
public static String[][] _labels = null;
public static String _cambio = "";
public static String _dati = "";
public static int _kt = 0;
public static int _kl = 0;
public static int _qq = 0;
public anywheresoftware.b4a.objects.PanelWrapper _p = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 43;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 46;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
 //BA.debugLineNum = 48;BA.debugLine="Dati = \"Name,Number,Owner,Issued on,Issued by,\" 'Scadenza,Rinnovato,Note,-,-,\"";
mostCurrent._dati = "Name,Number,Owner,Issued on,Issued by,";
 //BA.debugLineNum = 49;BA.debugLine="Crealist";
_crealist();
 //BA.debugLineNum = 50;BA.debugLine="CreaEdit";
_creaedit();
 //BA.debugLineNum = 51;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 51;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+anywheresoftware.b4a.keywords.Common.CRLF+BA.NumberToString(_qq)));
 //BA.debugLineNum = 55;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 61;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 63;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 57;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 59;BA.debugLine="End Sub";
return "";
}
public static String  _clearlist() throws Exception{
int _m = 0;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 128;BA.debugLine="Sub ClearList";
 //BA.debugLineNum = 130;BA.debugLine="For m = qq-1 To 7 Step -1";
{
final int step90 = (int) (-1);
final int limit90 = (int) (7);
for (_m = (int) (_qq-1); (step90 > 0 && _m <= limit90) || (step90 < 0 && _m >= limit90); _m = ((int)(0 + _m + step90))) {
 //BA.debugLineNum = 131;BA.debugLine="Dim L As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 132;BA.debugLine="L.Initialize(\"Label\")";
_l.Initialize(mostCurrent.activityBA,"Label");
 //BA.debugLineNum = 133;BA.debugLine="Activity.RemoveViewAt(m)";
mostCurrent._activity.RemoveViewAt(_m);
 }
};
 //BA.debugLineNum = 135;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 135;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+anywheresoftware.b4a.keywords.Common.CRLF+BA.NumberToString(_qq)));
 //BA.debugLineNum = 136;BA.debugLine="End Sub";
return "";
}
public static String  _creaedit() throws Exception{
anywheresoftware.b4a.objects.EditTextWrapper _e = null;
 //BA.debugLineNum = 155;BA.debugLine="Sub CreaEdit";
 //BA.debugLineNum = 156;BA.debugLine="Dim E As EditText";
_e = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 157;BA.debugLine="E.Initialize(\"EditText\")";
_e.Initialize(mostCurrent.activityBA,"EditText");
 //BA.debugLineNum = 158;BA.debugLine="E.Visible = True";
_e.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 159;BA.debugLine="E.Color = Colors.White";
_e.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 160;BA.debugLine="E.TextSize = LG.TextSize - 3";
_e.setTextSize((float) (mostCurrent._lg.getTextSize()-3));
 //BA.debugLineNum = 161;BA.debugLine="E.TextColor = Colors.Black";
_e.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 162;BA.debugLine="E.SingleLine = True";
_e.setSingleLine(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 164;BA.debugLine="E.SendToBack";
_e.SendToBack();
 //BA.debugLineNum = 165;BA.debugLine="E.ForceDoneButton = True";
_e.setForceDoneButton(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 166;BA.debugLine="Activity.AddView(E,10dip ,50dip * (LG.Height + 1dip),LG.Width,LG.Height)";
mostCurrent._activity.AddView((android.view.View)(_e.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (50))*(mostCurrent._lg.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)))),mostCurrent._lg.getWidth(),mostCurrent._lg.getHeight());
 //BA.debugLineNum = 167;BA.debugLine="E.Gravity = Gravity.CENTER_VERTICAL";
_e.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
 //BA.debugLineNum = 168;BA.debugLine="EditText = E";
mostCurrent._edittext = _e;
 //BA.debugLineNum = 169;BA.debugLine="End Sub";
return "";
}
public static String  _crealist() throws Exception{
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 103;BA.debugLine="Sub Crealist";
 //BA.debugLineNum = 105;BA.debugLine="For x = 0 To 4";
{
final int step66 = 1;
final int limit66 = (int) (4);
for (_x = (int) (0); (step66 > 0 && _x <= limit66) || (step66 < 0 && _x >= limit66); _x = ((int)(0 + _x + step66))) {
 //BA.debugLineNum = 106;BA.debugLine="Lista = Dati";
mostCurrent._lista = mostCurrent._dati;
 //BA.debugLineNum = 107;BA.debugLine="For y = 0 To 4";
{
final int step68 = 1;
final int limit68 = (int) (4);
for (_y = (int) (0); (step68 > 0 && _y <= limit68) || (step68 < 0 && _y >= limit68); _y = ((int)(0 + _y + step68))) {
 //BA.debugLineNum = 108;BA.debugLine="Dim L As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 109;BA.debugLine="L.Initialize(\"Label\")";
_l.Initialize(mostCurrent.activityBA,"Label");
 //BA.debugLineNum = 110;BA.debugLine="L.Visible = True";
_l.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 111;BA.debugLine="L.Color = Colors.White";
_l.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 112;BA.debugLine="L.TextSize = LG.TextSize";
_l.setTextSize(mostCurrent._lg.getTextSize());
 //BA.debugLineNum = 113;BA.debugLine="L.TextColor = Colors.Black";
_l.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 114;BA.debugLine="L.SendToBack";
_l.SendToBack();
 //BA.debugLineNum = 115;BA.debugLine="Activity.AddView(L,10dip ,P.top + y * (LG.Height + 1dip),LG.Width,LG.Height)";
mostCurrent._activity.AddView((android.view.View)(_l.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)),(int) (mostCurrent._p.getTop()+_y*(mostCurrent._lg.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)))),mostCurrent._lg.getWidth(),mostCurrent._lg.getHeight());
 //BA.debugLineNum = 116;BA.debugLine="L.Gravity = Gravity.CENTER_VERTICAL";
_l.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
 //BA.debugLineNum = 117;BA.debugLine="Tx = (Lista).IndexOf(\",\")";
_tx = (mostCurrent._lista).indexOf(",");
 //BA.debugLineNum = 118;BA.debugLine="LG.Text = Lista.SubString2(0, Tx)";
mostCurrent._lg.setText((Object)(mostCurrent._lista.substring((int) (0),_tx)));
 //BA.debugLineNum = 119;BA.debugLine="Nlist = Lista.SubString2(Tx+1, Lista.Length) '(remaining Lista string)";
mostCurrent._nlist = mostCurrent._lista.substring((int) (_tx+1),mostCurrent._lista.length());
 //BA.debugLineNum = 120;BA.debugLine="Lista = Nlist";
mostCurrent._lista = mostCurrent._nlist;
 //BA.debugLineNum = 121;BA.debugLine="Labels(x, y) = L";
mostCurrent._labels[_x][_y] = BA.ObjectToString(_l);
 //BA.debugLineNum = 122;BA.debugLine="L.Text = LG.Text";
_l.setText((Object)(mostCurrent._lg.getText()));
 }
};
 }
};
 //BA.debugLineNum = 125;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 125;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+anywheresoftware.b4a.keywords.Common.CRLF+BA.NumberToString(_qq)));
 //BA.debugLineNum = 126;BA.debugLine="End Sub";
return "";
}
public static String  _edittext_enterpressed() throws Exception{
 //BA.debugLineNum = 83;BA.debugLine="Sub EditText_EnterPressed";
 //BA.debugLineNum = 84;BA.debugLine="Riga = Dati.Replace(Cambio, EditText.Text)";
mostCurrent._riga = mostCurrent._dati.replace(mostCurrent._cambio,mostCurrent._edittext.getText());
 //BA.debugLineNum = 85;BA.debugLine="Dati = Riga";
mostCurrent._dati = mostCurrent._riga;
 //BA.debugLineNum = 86;BA.debugLine="Label2.Text = Riga";
mostCurrent._label2.setText((Object)(mostCurrent._riga));
 //BA.debugLineNum = 87;BA.debugLine="EditText.Text = \"\"";
mostCurrent._edittext.setText((Object)(""));
 //BA.debugLineNum = 88;BA.debugLine="EditText.Top = 50";
mostCurrent._edittext.setTop((int) (50));
 //BA.debugLineNum = 89;BA.debugLine="EditText.Left = 10";
mostCurrent._edittext.setLeft((int) (10));
 //BA.debugLineNum = 90;BA.debugLine="EditText.Visible = False";
mostCurrent._edittext.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 92;BA.debugLine="Crealist";
_crealist();
 //BA.debugLineNum = 93;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 93;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+anywheresoftware.b4a.keywords.Common.CRLF+BA.NumberToString(_qq)));
 //BA.debugLineNum = 94;BA.debugLine="IME.HideKeyboard";
mostCurrent._ime.HideKeyboard(mostCurrent.activityBA);
 //BA.debugLineNum = 95;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Dim IME As IME";
mostCurrent._ime = new anywheresoftware.b4a.objects.IME();
 //BA.debugLineNum = 26;BA.debugLine="Dim EditText As EditText";
mostCurrent._edittext = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim Label1 As Label";
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim Label3 As Label";
mostCurrent._label3 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Dim Label4 As Label";
mostCurrent._label4 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim LG As Label";
mostCurrent._lg = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim LVno As Label";
mostCurrent._lvno = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Dim Lista, Nlist, Riga As String";
mostCurrent._lista = "";
mostCurrent._nlist = "";
mostCurrent._riga = "";
 //BA.debugLineNum = 34;BA.debugLine="Dim Tx As Int";
_tx = 0;
 //BA.debugLineNum = 35;BA.debugLine="Dim Labels(5,5)";
mostCurrent._labels = new String[(int) (5)][];
{
int d0 = mostCurrent._labels.length;
int d1 = (int) (5);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._labels[i0] = new String[d1];
java.util.Arrays.fill(mostCurrent._labels[i0],"");
}
}
;
 //BA.debugLineNum = 36;BA.debugLine="Dim Cambio As String";
mostCurrent._cambio = "";
 //BA.debugLineNum = 37;BA.debugLine="Dim Dati As String";
mostCurrent._dati = "";
 //BA.debugLineNum = 38;BA.debugLine="Dim KT, KL As Int";
_kt = 0;
_kl = 0;
 //BA.debugLineNum = 39;BA.debugLine="Dim qq As Int";
_qq = 0;
 //BA.debugLineNum = 40;BA.debugLine="Dim P As Panel";
mostCurrent._p = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 41;BA.debugLine="End Sub";
return "";
}
public static String  _label_click() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 97;BA.debugLine="Sub Label_Click";
 //BA.debugLineNum = 98;BA.debugLine="Dim L As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 99;BA.debugLine="L.Initialize(\"Label\")";
_l.Initialize(mostCurrent.activityBA,"Label");
 //BA.debugLineNum = 100;BA.debugLine="L = Sender";
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 101;BA.debugLine="Label2.Text = L.Text";
mostCurrent._label2.setText((Object)(_l.getText()));
 //BA.debugLineNum = 102;BA.debugLine="End Sub";
return "";
}
public static String  _label_longclick() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 138;BA.debugLine="Sub Label_LongClick";
 //BA.debugLineNum = 139;BA.debugLine="Cambio = \"\"";
mostCurrent._cambio = "";
 //BA.debugLineNum = 140;BA.debugLine="Dim L As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 141;BA.debugLine="L.Initialize(\"Label\")";
_l.Initialize(mostCurrent.activityBA,"Label");
 //BA.debugLineNum = 142;BA.debugLine="L = Sender";
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 143;BA.debugLine="Cambio = L.Text";
mostCurrent._cambio = _l.getText();
 //BA.debugLineNum = 145;BA.debugLine="KT = L.Top";
_kt = _l.getTop();
 //BA.debugLineNum = 146;BA.debugLine="KL = L.Left";
_kl = _l.getLeft();
 //BA.debugLineNum = 147;BA.debugLine="EditText.Top = KT  'L.Top";
mostCurrent._edittext.setTop(_kt);
 //BA.debugLineNum = 148;BA.debugLine="EditText.Left = KL 'L.Left";
mostCurrent._edittext.setLeft(_kl);
 //BA.debugLineNum = 149;BA.debugLine="EditText.Visible = True";
mostCurrent._edittext.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 150;BA.debugLine="EditText.BringToFront";
mostCurrent._edittext.BringToFront();
 //BA.debugLineNum = 151;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 151;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+anywheresoftware.b4a.keywords.Common.CRLF+BA.NumberToString(_qq)));
 //BA.debugLineNum = 152;BA.debugLine="IME.ShowKeyboard(EditText)";
mostCurrent._ime.ShowKeyboard((android.view.View)(mostCurrent._edittext.getObject()));
 //BA.debugLineNum = 153;BA.debugLine="End Sub";
return "";
}
public static String  _label1_click() throws Exception{
 //BA.debugLineNum = 79;BA.debugLine="Sub Label1_Click";
 //BA.debugLineNum = 80;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 81;BA.debugLine="End Sub";
return "";
}
public static String  _label3_click() throws Exception{
 //BA.debugLineNum = 73;BA.debugLine="Sub Label3_Click";
 //BA.debugLineNum = 75;BA.debugLine="ClearList";
_clearlist();
 //BA.debugLineNum = 76;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 76;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+anywheresoftware.b4a.keywords.Common.CRLF+BA.NumberToString(_qq)));
 //BA.debugLineNum = 77;BA.debugLine="End Sub";
return "";
}
public static String  _label4_click() throws Exception{
 //BA.debugLineNum = 65;BA.debugLine="Sub Label4_Click";
 //BA.debugLineNum = 67;BA.debugLine="Crealist";
_crealist();
 //BA.debugLineNum = 68;BA.debugLine="CreaEdit";
_creaedit();
 //BA.debugLineNum = 70;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
_qq = mostCurrent._activity.getNumberOfViews();
 //BA.debugLineNum = 70;BA.debugLine="qq = Activity.NumberOfViews : LVno.Text= LVno.Text & CRLF & qq";
mostCurrent._lvno.setText((Object)(mostCurrent._lvno.getText()+anywheresoftware.b4a.keywords.Common.CRLF+BA.NumberToString(_qq)));
 //BA.debugLineNum = 71;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
}
